org.eclipse.microprofile.graphql.tck.dynamic

## Class DynamicPaths

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.dynamic.DynamicPaths

    public class DynamicPaths
    extends Object

Where we look for tests in both the Spec level and the implementation level

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Method Summary

All Methods Static Methods Concrete Methods
`static DirectoryStream<Path>` `getDataForImplementation()`
`static DirectoryStream<Path>` `getDataForSpecification()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDataForImplementation

    public static DirectoryStream<Path> getDataForImplementation()
                                                          throws IOException

Throws:
  `IOException`

#### getDataForSpecification

    public static DirectoryStream<Path> getDataForSpecification()
                                                         throws IOException,
                                                                URISyntaxException

Throws:
  `IOException`
  `URISyntaxException`